<?php

namespace common\logic\Distribution\PointSaleDistribution;

use common\logic\BaseService;
use common\logic\Distribution\Distribution\Distribution;
use common\logic\RepositoryInterface;

class PointSaleDistributionRepository extends BaseService implements RepositoryInterface
{
    public function countByDistribution(Distribution $distribution): int
    {
        return PointSaleDistribution::searchCount([
            'id_distribution' => $distribution->id
        ]);
    }

}